> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Contact Topics

> Retrieve topic subscriptions and preferences for a contact.

Inspect which notification and marketing topics the contact is subscribed or unsubscribed from.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the contact.
</ParamField>

### Response

<ResponseField name="data" type="array">
  <ResponseField name="id" type="string">The topic ID.</ResponseField>
  <ResponseField name="name" type="string">Topic name.</ResponseField>
  <ResponseField name="status" type="string">Subscription status (`subscribed` or `unsubscribed`).</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.mailofly.com/api/v1/contacts/cnt_123/topics \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "id": "top_news",
        "name": "Product Updates",
        "status": "subscribed"
      },
      {
        "id": "top_promo",
        "name": "Promotional Offers",
        "status": "unsubscribed"
      }
    ]
  }
  ```
</ResponseExample>


## Related topics

- [Retrieve Topic](/api/topics/retrieve-topic.md)
- [Update Contact Topics](/api/contacts/update-contact-topics.md)
- [Retrieve Contact](/api/contacts/get-contact.md)
- [Retrieve Contact Property](/api/contact-properties/retrieve-contact-property.md)
- [Retrieve Contact Import](/api/contact-imports/retrieve-contact-import.md)
